For the complete documentation index, see llms.txt. This page is also available as Markdown.

CreateLimitOrder

post

Creates a limit order for a given account.

Authorizations
AuthorizationstringRequired
Path parameters
accountNamestringRequired
  • The name of the account to create the limit order for.
Header parameters
AuthorizationstringRequired
  • The authorization token for the request.
Body
  • The input body for creating a limit order.
inputMintstringRequired
outputMintstringRequired
makerstringRequired
payerstringRequired
makingAmountstringRequired
takingAmountstringRequired
expiredAtstringOptional
feeBpsstringOptional
computeUnitPricestringOptional
referralstringOptional
inputTokenProgramstringOptional
outputTokenProgramstringOptional
wrapAndUnwrapSolbooleanOptional
dryrunbooleanRequired
broadcastbooleanRequired
Responses
200

A promise that resolves to a JupiterAPIResponse containing the result of the limit order creation.

application/json

Represents the structure of a response from the Jupiter API.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

A message providing additional information about the API response.

post/jupiter/{accountName}/createLimitOrder
POST /jupiter/{accountName}/createLimitOrder HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Content-Type: application/json
Accept: */*
Content-Length: 303

{
  "inputMint": "text",
  "outputMint": "text",
  "maker": "text",
  "payer": "text",
  "makingAmount": "text",
  "takingAmount": "text",
  "expiredAt": "text",
  "feeBps": "text",
  "computeUnitPrice": "text",
  "referral": "text",
  "inputTokenProgram": "text",
  "outputTokenProgram": "text",
  "wrapAndUnwrapSol": true,
  "dryrun": true,
  "broadcast": true
}
200

A promise that resolves to a JupiterAPIResponse containing the result of the limit order creation.

{
  "success": true,
  "message": "text",
  "data": {
    "transaction": null,
    "function": "text",
    "params": [],
    "data": null,
    "success": true,
    "message": "text",
    "jupiter": null,
    "transactionHash": "text"
  }
}